uFRSimple

## Class GLFunctions

- java.lang.Object
- - uFRSimple.GLFunctions

    public class GLFunctions
    extends java.lang.Object

### Field Summary

Fields
`(package private) java.lang.String[]` `ERR_CODE`
`private static int` `KEYLENGTH`

### Constructor Summary

Constructors
Constructor and Description
`GLFunctions()`

### Method Summary

Methods
`void` `CheckBoxHexDec(javax.swing.JPanel pnlContainer, java.lang.String sKeyName, java.awt.event.ItemEvent evt)` Dec to hex convesion and vice versa for textfields
`byte[]` `DecHexConversionForKey(javax.swing.JPanel pnlContainer, java.lang.String sKeyName, javax.swing.JCheckBox CheckBox)` Hex to dec conversion for keys
`void` `ERRORS_CODE(int iResult, javax.swing.JLabel lblFunctionErrorCodePane, javax.swing.JLabel lblFunctionErrorExplainPane)`
`byte[]` `WriteArray(byte[] bGetBytesArray, int iDataLength, int iMaxBytes)` Filler bytes behind the entered string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEYLENGTH

    private static final int KEYLENGTH

See Also:
  Constant Field Values

#### ERR_CODE

    java.lang.String[] ERR_CODE

### Constructor Detail

#### GLFunctions

    public GLFunctions()

### Method Detail

#### ERRORS_CODE

    public void ERRORS_CODE(int iResult,
                   javax.swing.JLabel lblFunctionErrorCodePane,
                   javax.swing.JLabel lblFunctionErrorExplainPane)

#### CheckBoxHexDec

    public void CheckBoxHexDec(javax.swing.JPanel pnlContainer,
                      java.lang.String sKeyName,
                      java.awt.event.ItemEvent evt)

Dec to hex convesion and vice versa for textfields

Parameters:
  `pnlContainer` - panel textbox fields
  `sKeyName` - key name
  `evt` - CheckBox Selected ?

#### DecHexConversionForKey

    public byte[] DecHexConversionForKey(javax.swing.JPanel pnlContainer,
                                java.lang.String sKeyName,
                                javax.swing.JCheckBox CheckBox)

Hex to dec conversion for keys

Parameters:
  `pnlContainer` - panel container with dynamic textfields
  `sKeyName` - name of key
  `CheckBox` - which checkbox is selected?
Returns:
  array of bytes

#### WriteArray

    public byte[] WriteArray(byte[] bGetBytesArray,
                    int iDataLength,
                    int iMaxBytes)

Filler bytes behind the entered string

Parameters:
  `bGetBytesArray` -
  `iDataLength` -
  `iMaxBytes` -
Returns: